'use strict';

/* Services */

/*
 http://docs.angularjs.org/api/ngResource.$resource

 Default ngResources are defined as

 'get':    {method:'GET'},
 'save':   {method:'POST'},
 'query':  {method:'GET', isArray:true},
 'remove': {method:'DELETE'},
 'delete': {method:'DELETE'}

 */

var services = angular.module('nggrid.services', ['ngResource']);


services.factory('UserTaskService', function($http){
     return {   
        getUserTaskData: function(url) {		
            return $http.post(url).then(function(result) {	
                    return result.data;
          });
        }
		}; 
		 
	
});

services.factory('DummyFactory', function ($resource) {
    return $resource('/nggrid/web/dummy', {}, {
        query: { method: 'GET', params: {}, isArray: false }
    })
});

services.factory('UsersFactory', function ($resource) {
    return $resource('/nggrid/web/users', {}, {
        query: { method: 'GET', isArray: true },
        create: { method: 'POST' }
    })
});

services.factory('UserFactory', function ($resource) {
    return $resource('/nggrid/web/users/:id', {}, {
        show: { method: 'GET' },
		detail: { method: 'GET', params: {id: '@id'} },
        update: { method: 'PUT', params: {id: '@id'} },
      //  delete: { method: 'DELETE', params: {id: '@id'} }
    })
});

//get the data for detail using URL
services.factory('UserDetailService', function($http){
     return {
        getUserDetails: function(url) {
		   //alert(url);
            return $http.post(url).then(function(result) {
                    return result.data;
          });
        }
    };
});
